Bug 26785 - JS errors in pos/pay.tt in 20.05.x
Summary: JS errors in pos/pay.tt in 20.05.x
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: 20.05
Hardware: All All
: P3 normal (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-22 16:27 UTC by Lucas Gass
Modified: 2020-10-27 04:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.05


Attachments
Bug 26785: Fix JS error in pos/pay.tt (1.12 KB, patch)
2020-10-23 13:23 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 26785: Fix JS error in pos/pay.tt (1.17 KB, patch)
2020-10-24 21:43 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 26785: Fix JS error in pos/pay.tt (1.23 KB, patch)
2020-10-25 00:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2020-10-22 16:27:40 UTC
In 20.05 there is a JS error in pos/pay.tt. This error does not exist in master.

TO recreate:
1. enable  EnablePointOfSale 
2. enable  UseCashRegisters 
3. Go to /cgi-bin/koha/pos/pay.pl
4. See the console error 


Not 100% sure but maybe this is fixed in master because of Bug 26234?
Comment 1 Owen Leonard 2020-10-22 17:58:10 UTC
I think line 338 is a backporting error and that it doesn't belong:

}, items_columns_settings, false);
Comment 2 Lucas Gass 2020-10-23 13:18:11 UTC
(In reply to Owen Leonard from comment #1)
> I think line 338 is a backporting error and that it doesn't belong:
> 
> }, items_columns_settings, false);

Ahh, indeed. From this commit I think: 

http://git.koha-community.org/gitweb/?p=koha.git;a=blobdiff;f=koha-tmpl/intranet-tmpl/prog/en/modules/pos/pay.tt;h=1fda1baa55c11b609595c1493c79c7b117251e95;hp=87cbd926a559940edbacbe687f2d3190d15962c1;hb=2c5cd4ffbe762164cfcf5d603e926fe177bb642c;hpb=59b67c3b37ed92926e9c75c0637c58af255ecec2
Comment 3 Lucas Gass 2020-10-23 13:23:58 UTC
Created attachment 112273 [details] [review]
Bug 26785: Fix JS error in pos/pay.tt

To Test:
1. enable  EnablePointOfSale
2. enable  UseCashRegisters
3. Go to /cgi-bin/koha/pos/pay.pl
4. See the console error
5. Apply patch
6. Add some debit types and make sure you can add them /cgi-bin/koha/pos/pay.pl
7. Check for console errors, there should be none
8. Make sure you can confrim payments.
Comment 4 Chris Cormack 2020-10-24 21:43:50 UTC
Created attachment 112406 [details] [review]
Bug 26785: Fix JS error in pos/pay.tt

To Test:
1. enable  EnablePointOfSale
2. enable  UseCashRegisters
3. Go to /cgi-bin/koha/pos/pay.pl
4. See the console error
5. Apply patch
6. Add some debit types and make sure you can add them /cgi-bin/koha/pos/pay.pl
7. Check for console errors, there should be none
8. Make sure you can confrim payments.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Katrin Fischer 2020-10-25 00:50:27 UTC
Created attachment 112436 [details] [review]
Bug 26785: Fix JS error in pos/pay.tt

To Test:
1. enable  EnablePointOfSale
2. enable  UseCashRegisters
3. Go to /cgi-bin/koha/pos/pay.pl
4. See the console error
5. Apply patch
6. Add some debit types and make sure you can add them /cgi-bin/koha/pos/pay.pl
7. Check for console errors, there should be none
8. Make sure you can confrim payments.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2020-10-25 21:37:01 UTC
Sending to 20.05 RMaint queue.
Comment 7 Lucas Gass 2020-10-26 14:36:12 UTC
backported to 20.05.x for 20.05.05. Thanks everyone!
Comment 8 Aleisha Amohia 2020-10-27 04:37:13 UTC
missing dependencies, not backported to 19.11.x